﻿using System;

namespace Bridge
{
    class Program
    {
        static void Main(string[] args)
        {  
            Camera camera = new Camera();
            TestAFVRPCLens(camera);
            TestMFVRLens(camera);            
        }
        static void TestAFVRPCLens(Camera camera)
        {
            Console.WriteLine("AFVRPCLens 테스트");
            VRModule vr = new VRModule();
            PCModule pc = new PCModule();
            Lens lens = new AFLens();
            lens.AddModule(vr);
            lens.AddModule(pc);
            camera.PutInLens(lens);
            camera.TakeAPicture("잎사귀떨림(0) 사람떨림(1) 건물(2) 산(3)", 1);            
        }

        static void TestMFVRLens(Camera camera)
        {
            Console.WriteLine("MFVRLens 테스트");
            IImageProcessing module = new VRModule();
            Lens lens = new MFLens();
            lens.AddModule(module);
            camera.PutInLens(lens);
            camera.TakeAPicture("잎사귀떨림(0) 사람떨림(1) 건물(2) 산(3)", 1);
            camera.FocusUp();
            camera.TakeAPicture("잎사귀떨림(0) 사람떨림(1) 건물(2) 산(3)", 1);
            camera.FocusDown();
            camera.SetModuleIndex(0);
            camera.TakeAPicture("잎사귀떨림(0) 사람떨림(1) 건물(2) 산(3)", 1);            
        }

    }
}
